Resolved - March 04, 2019 Arma 3 Update - Problem (SPOTREP #00085)

With the newest Arma 3 update (SPOTREP #00085), players are reporting they can no longer join the server due to a Version Mismatch notification (Required Version = 1.88*, Current Version = 1.90.145381). Players in the game server when the update took place do not appear to be affected, however, leaving the game may force the update.

The NAK servers will need to be updated to correct this issue. Prior to this taking place, if you are able to pause the download, please do so. Hopefully we can get the servers updated soon.

Thank you for your patience while we work on this matter!

Thankyou for quick heads up!
Update halted!

All servers have been updated to the latest version, 1.90.

Thank you for your patience while we worked through this update.

Enjoy the game!